Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.richtext.controls
Interface RichTextCmxControl

All Superinterfaces
  CmxControl, com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

    public interface RichTextCmxControl

extends com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`CmxControl @ControlExtension` for creating the `GROUPNOTE` ObjectClass, `Nodes` of that type (wrapped in a `RichText`/No

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `FIND_ALL`
`static String` | `FIND_ONE`
`static String` | `FOLDER`

Method Summary
`RichText` | `createRichText(String title, String description, String visibility, String owner, BinaryValue htmlBody, ID parentId, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` creates the `GROUPNOTE ObjectClass` and `Node`s of that type (wrapped in an `RichText`) `GROUPNOTE` extends the `COMMUNITY_CONTENT` ObjectClass
`List<RichText>` | `getAllRichTexts()`
`RichText` | `getRichText(String title)`
`List<RichText>` | `removeAllRichTexts()`
`RichText` | `removeRichText(String title)`

Field Detail

### FOLDER

    static final String FOLDER

See Also
  Constants Summary

### FIND_ONE

    static final String FIND_ONE

See Also
  Constants Summary

### FIND_ALL

    static final String FIND_ALL

See Also
  Constants Summary

Method Detail

### createRichText

    RichText createRichText(String title,
                            String description,
                            String visibility,
                            String owner,
                            BinaryValue htmlBody,
                            ID parentId,
                            ID[] relatedNodes,
                            Set<CmxControl.PropertyPair> dynamicProps)
                            throws AuthenticationException,
                                   AuthorizationException,
                                   NodeExistsException,
                                   NoSuchObjectClassException,
                                   RepositoryException,
                                   InstantiationException,
                                   IllegalAccessException,
                                   InvocationTargetException,
                                   SQLException,
                                   GSNonUniqueContentException

  creates the `GROUPNOTE ObjectClass` and `Node`s of that type (wrapped in an `RichText`)

  `GROUPNOTE` extends the `COMMUNITY_CONTENT` ObjectClass

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `GSNonUniqueContentException`

### getRichText

    RichText getRichText(String title)
                         throws InstantiationException,
                                IllegalAccessException,
                                InvocationTargetException,
                                com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                AuthenticationException,
                                AuthorizationException,
                                NoSuchNodeException,
                                RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeRichText

    RichText removeRichText(String title)
                            throws InstantiationException,
                                   IllegalAccessException,
                                   InvocationTargetException,
                                   com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                   AuthenticationException,
                                   AuthorizationException,
                                   NoSuchNodeException,
                                   RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getAllRichTexts

    List<RichText> getAllRichTexts()
                                   throws InstantiationException,
                                          IllegalAccessException,
                                          InvocationTargetException,
                                          com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                          AuthenticationException,
                                          AuthorizationException,
                                          NoSuchNodeException,
                                          RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeAllRichTexts

    List<RichText> removeAllRichTexts()
                                      throws InstantiationException,
                                             IllegalAccessException,
                                             InvocationTargetException,
                                             com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                             AuthenticationException,
                                             AuthorizationException,
                                             NoSuchNodeException,
                                             RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved